package k.ld31;

class Spawner {
	public static var FREQUENCY:Int = 120;
	private static var spawners:Array<Spawner>;
	public static var count:Int = 0;
	private var x:Int;
	private var y:Int;
	private var frame:Int;

	public function new(x:Int, y:Int) {
		this.x = x;
		this.y = y;
	}

	public static function add(x:Int, y:Int):Void {
		if (spawners == null) spawners = [];
		spawners.push(new Spawner(x, y));
		count++;
	}

	public static function clear():Void {
		spawners = [];
		count = 0;
	}

	public static function process():Void {
		if (spawners == null) return;
		var n:Int = 0;
		for (s in spawners) {
			s.frame = n;
			n += Std.int(FREQUENCY / spawners.length);
		}
	}

	public static inline function update():Void {
		if (spawners == null) return;
		if (!Tama.locked) {
			for (s in spawners) {
				if (Tama.frame % FREQUENCY == s.frame) {
					var monster:Monster = new Monster(s.x, s.y);
					Tama.instance.monsters.push(monster);
					Tama.instance.gameGraphics.midtop.addChild(monster);
					break;
				}
			}
		}
	}
}