package k.ld31;

import k.lib.graphics.DisplayObject;

class TamaDialog extends DisplayObject {
	static var MAX_LIFE:Int = 80;
	var life:Int;

	public function new(t:Int, x:Int, y:Int) {
		super('text_$t');
		has_update = true;
		life = MAX_LIFE;
		__align = DisplayObject.ALIGN_CENTER;
		this.x = x;
		this.y = y;
		Tama.instance.gameGraphics.top.addChild(this);
	}

	override private inline function onUpdate():Void {
		life--;
		if (life < 30) alpha = life / 30;
		if (life < 0) Tama.instance.gameGraphics.top.removeChild(this);
	}

}